/*
	Grnseflade til Person-klassen
	
	Bemrk at der her er tale om objekt-instans metoder
	og der skal derfor ikke angives static
	 
*/



import javabook.*;

public	class PersonGraenseFlade
{
		private MainWindow mainWindow;
		private OutputBox outputBox;
    private InputBox inputBox;
		
		public	PersonGraenseFlade ()			/* constructor */
		{
				/* opret og klargr mainWindow, outputBox og inputBox */ 
        this.mainWindow = new MainWindow( );      //create and
        this.mainWindow.show();         //display a window
				this.outputBox = new OutputBox(mainWindow);
				this.outputBox.show();
     		this.inputBox = new InputBox(mainWindow);
		}
		
		public	void	udskrivPerson	(Person person)
		{
				this.outputBox.printLine("Persons fornavn er : "+person.getFornavn());
				this.outputBox.printLine("Persons nummer er: "+person.getNummer());
				this.outputBox.printLine("Persons foedselsdato er : "+person.getFoedselsdato());
				this.outputBox.skipLine(1);
		}

		public	void	retPerson	(Person person)
		{
				person.setFornavn (this.inputBox.getString("Indtast nyt navn p "+person.getFornavn()));
				person.setNummer (this.inputBox.getInteger("Indtast nyt nummer p "+person.getFornavn()));
				person.setFoedselsdato (this.inputBox.getInteger("Indtast ny fdselsdato p "+person.getFornavn()));
		}    
		    
		public	Person	opretPerson	()
		{
				/* indls data til person-objekt og opret det */
				String 	inputNavn 					= this.inputBox.getString("Indtast navn p ny person");		
				int 		inputNummer 				= this.inputBox.getInteger("Indtast nummer p ny person");		
				int 		inputFoedselsdato 	= this.inputBox.getInteger("Indtast foedselsdato p ny person");		
				Person nyPerson = new Person(inputNummer,inputFoedselsdato,inputNavn);
				return (nyPerson);
		}

}